## ldapscripts 1.9.0

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,14 @@
 #  USA.
 
 # Configuration / variables section
+DESTDIR = 
 PREFIX = /usr/local
 
 # Identity
 SHELL=/bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 1.8.0
+VERSION = 1.9.0
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin
@@ -37,12 +38,12 @@
 ETCFILE = ldapscripts.conf
 PWDFILE = ldapscripts.passwd
 SBINFILES =	ldapdeletemachine ldapmodifygroup ldapsetpasswd lsldap ldapadduser \
-			 ldapdeleteuser ldapsetprimarygroup ldapfinger ldapid ldapmodifymachine \
+			ldapdeleteuser ldapsetprimarygroup ldapfinger ldapid ldapgid ldapmodifymachine \
 			ldaprenamegroup ldapaddgroup ldapaddusertogroup ldapdeleteuserfromgroup \
 			ldapinit ldapmodifyuser ldaprenamemachine ldapaddmachine ldapdeletegroup \
 			ldaprenameuser
 MAN1FILES =	ldapdeletemachine.1 ldapmodifymachine.1 ldaprenamemachine.1 ldapadduser.1 \
-			ldapdeleteuserfromgroup.1 ldapfinger.1 ldapid.1 ldapmodifyuser.1 lsldap.1 \
+			ldapdeleteuserfromgroup.1 ldapfinger.1 ldapid.1 ldapgid.1 ldapmodifyuser.1 lsldap.1 \
 			ldapaddusertogroup.1 ldaprenameuser.1 ldapinit.1 ldapsetpasswd.1 ldapaddgroup.1 \
 			ldapdeletegroup.1 ldapsetprimarygroup.1 ldapmodifygroup.1 ldaprenamegroup.1 \
 			ldapaddmachine.1 ldapdeleteuser.1
@@ -57,7 +58,8 @@
 help:
 	@echo "Usage: make [VARIABLE=<value>] <target>"
 	@echo "Valid variables :"
-	@echo "  PREFIX  : main target directory for installation (default = /usr/local)"
+	@echo "  DESTDIR : root target directory to install to (default = *empty*)"
+	@echo "  PREFIX  : main target directory within DESTDIR (default = /usr/local)"
 	@echo "  SBINDIR : where to install scripts (default = PREFIX/sbin)"
 	@echo "  MANDIR  : where to install man pages (default = PREFIX/man)"
 	@echo "  ETCDIR  : where to install the configuration file (default = PREFIX/etc/ldapscripts)"
@@ -91,91 +93,91 @@
 # Install targets
 install:	installsbin installman installetc installlib
 installsbin:	configure
-	@echo -n 'Installing scripts into $(SBINDIR)... '
-	@install -d -m 755 '$(SBINDIR)' 2>/dev/null
-	@for i in $(SBINFILES) ; do \
-		install -m 750 "sbin/$$i.patched" "$(SBINDIR)/$$i" ; \
+	@echo -n 'Installing scripts into $(DESTDIR)$(SBINDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(SBINDIR)' 2>/dev/null
+	@for i in $(SBINFILES) ; do \
+		install -m 750 "sbin/$$i.patched" "$(DESTDIR)$(SBINDIR)/$$i" ; \
 	done
 	@echo 'ok.'
 
 installman:
-	@echo -n 'Installing man files into $(MANDIR)... '
-	@install -d -m 755 '$(MANDIR)/man1' 2>/dev/null
+	@echo -n 'Installing man files into $(DESTDIR)$(MANDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(MANDIR)/man1' 2>/dev/null
 	@for i in $(MAN1FILES) ; do \
-		cat "man/man1/$$i" | gzip - > "$(MANDIR)/man1/`basename $$i`.gz" ; \
-	done
-	@install -d -m 755 '$(MANDIR)/man5' 2>/dev/null
+		cat "man/man1/$$i" | gzip - > "$(DESTDIR)$(MANDIR)/man1/`basename $$i`.gz" ; \
+	done
+	@install -d -m 755 '$(DESTDIR)$(MANDIR)/man5' 2>/dev/null
 	@for i in $(MAN5FILES) ; do \
-		cat "man/man5/$$i" | gzip - > "$(MANDIR)/man5/`basename $$i`.gz" ; \
+		cat "man/man5/$$i" | gzip - > "$(DESTDIR)$(MANDIR)/man5/`basename $$i`.gz" ; \
 	done
 	@echo 'ok.'
 
 installetc:	configure
-	@echo -n 'Installing configuration files into $(ETCDIR)... '
-	@install -d -m 755 '$(ETCDIR)' 2>/dev/null
-	@install -m 440 'etc/$(ETCFILE).patched' '$(ETCDIR)/$(ETCFILE).sample'
-	@if [ ! -f '$(ETCDIR)/$(ETCFILE)' ]; then \
-		install -m 640 '$(ETCDIR)/$(ETCFILE).sample' '$(ETCDIR)/$(ETCFILE)'; \
-	fi
-	@install -m 440 -b 'etc/$(PWDFILE)' '$(ETCDIR)/$(PWDFILE).sample'
-	@if [ ! -f '$(ETCDIR)/$(PWDFILE)' ]; then \
-		install -m 640 '$(ETCDIR)/$(PWDFILE).sample' '$(ETCDIR)/$(PWDFILE)'; \
+	@echo -n 'Installing configuration files into $(DESTDIR)$(ETCDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(ETCDIR)' 2>/dev/null
+	@install -m 440 'etc/$(ETCFILE).patched' '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample'
+	@if [ ! -f '$(DESTDIR)$(ETCDIR)/$(ETCFILE)' ]; then \
+		install -m 640 '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample' '$(DESTDIR)$(ETCDIR)/$(ETCFILE)'; \
+	fi
+	@install -m 440 -b 'etc/$(PWDFILE)' '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample'
+	@if [ ! -f '$(DESTDIR)$(ETCDIR)/$(PWDFILE)' ]; then \
+		install -m 640 '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample' '$(DESTDIR)$(ETCDIR)/$(PWDFILE)'; \
 	fi
 	@for i in $(TMPLFILES) ; do \
-		install -m 440 "etc/$$i" '$(ETCDIR)' ; \
+		install -m 440 "etc/$$i" '$(DESTDIR)$(ETCDIR)' ; \
 	done
 	@echo 'ok.'
 
 installlib:	configure
-	@echo -n 'Installing library files into $(LIBDIR)... '
-	@install -d -m 755 '$(LIBDIR)' 2>/dev/null
-	@install -m 440 'lib/$(RUNFILE).patched' '$(LIBDIR)/$(RUNFILE)'
+	@echo -n 'Installing library files into $(DESTDIR)$(LIBDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(LIBDIR)' 2>/dev/null
+	@install -m 440 'lib/$(RUNFILE).patched' '$(DESTDIR)$(LIBDIR)/$(RUNFILE)'
 	@echo 'ok.'
 
 # Uninstall targets
 deinstall: uninstall
 uninstall:	uninstallsbin uninstallman uninstalletc uninstalllib
 uninstallsbin:
-	@echo -n 'Uninstalling scripts from $(SBINDIR)... '
-	@for i in $(SBINFILES) ; do \
-		rm -f "$(SBINDIR)/$$i" ; \
-	done
-	@rmdir '$(SBINDIR)' 2>/dev/null || true
+	@echo -n 'Uninstalling scripts from $(DESTDIR)$(SBINDIR)... '
+	@for i in $(SBINFILES) ; do \
+		rm -f "$(DESTDIR)$(SBINDIR)/$$i" ; \
+	done
+	@rmdir '$(DESTDIR)$(SBINDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 uninstallman:
-	@echo -n 'Uninstalling man files from $(MANDIR)... '
+	@echo -n 'Uninstalling man files from $(DESTDIR)$(MANDIR)... '
 	@for i in $(MAN1FILES) ; do \
-		rm -f "$(MANDIR)/man1/`basename $$i`.gz" ; \
-	done
-	@rmdir '$(MANDIR)/man1' 2>/dev/null || true
+		rm -f "$(DESTDIR)$(MANDIR)/man1/`basename $$i`.gz" ; \
+	done
+	@rmdir '$(DESTDIR)$(MANDIR)/man1' 2>/dev/null || true
 	@for i in $(MAN5FILES) ; do \
-		rm -f "$(MANDIR)/man5/`basename $$i`.gz" ; \
-	done
-	@rmdir '$(MANDIR)/man5' 2>/dev/null || true
+		rm -f "$(DESTDIR)$(MANDIR)/man5/`basename $$i`.gz" ; \
+	done
+	@rmdir '$(DESTDIR)$(MANDIR)/man5' 2>/dev/null || true
 	@rmdir '$(MANDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 uninstalletc:
-	@echo -n 'Uninstalling configuration files from $(ETCDIR)... '
-	@if cmp -s '$(ETCDIR)/$(ETCFILE)' '$(ETCDIR)/$(ETCFILE).sample'; then \
-		rm -f '$(ETCDIR)/$(ETCFILE)'; \
-	fi
-	@rm -f '$(ETCDIR)/$(ETCFILE).sample'
-	@if cmp -s '$(ETCDIR)/$(PWDFILE)' '$(ETCDIR)/$(PWDFILE).sample'; then \
-		rm -f '$(ETCDIR)/$(PWDFILE)'; \
-	fi
-	@rm -f '$(ETCDIR)/$(PWDFILE).sample'
+	@echo -n 'Uninstalling configuration files from $(DESTDIR)$(ETCDIR)... '
+	@if cmp -s '$(DESTDIR)$(ETCDIR)/$(ETCFILE)' '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample'; then \
+		rm -f '$(DESTDIR)$(ETCDIR)/$(ETCFILE)'; \
+	fi
+	@rm -f '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample'
+	@if cmp -s '$(DESTDIR)$(ETCDIR)/$(PWDFILE)' '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample'; then \
+		rm -f '$(DESTDIR)$(ETCDIR)/$(PWDFILE)'; \
+	fi
+	@rm -f '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample'
 	@for i in $(TMPLFILES) ; do \
-		rm -f "$(ETCDIR)/$$i" ; \
-	done
-	@rmdir '$(ETCDIR)' 2>/dev/null || true
+		rm -f "$(DESTDIR)$(ETCDIR)/$$i" ; \
+	done
+	@rmdir '$(DESTDIR)$(ETCDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 uninstalllib:
-	@echo -n 'Uninstalling library files from $(LIBDIR)... '
-	@rm -f '$(LIBDIR)/$(RUNFILE)'
-	@rmdir '$(LIBDIR)' 2>/dev/null || true
+	@echo -n 'Uninstalling library files from $(DESTDIR)$(LIBDIR)... '
+	@rm -f '$(DESTDIR)$(LIBDIR)/$(RUNFILE)'
+	@rmdir '$(DESTDIR)$(LIBDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 # Clean targets
