=== debian/changelog ===
ldapscripts (1.9.0-3ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Mon, 03 Jan 2011 16:29:57 +0100

ldapscripts (1.9.0-3) unstable; urgency=low

  * Use pwgen as password generator by default. Closes: #592369.
  * runtime.debian: Fix nss-ldap.conf parsing. Closes: #601942.
  * debian/control: Suggests libnss-ldap, not libpam-ldap.
  * Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 23 Dec 2010 15:35:18 +0300

ldapscripts (1.9.0-2) unstable; urgency=low

  * Switching to new dpkg v3 (quilt) format.
  * Fix problem with "not built-it" warnings in some locales. Closes: #555561.
  * debian/patches: Added DEP-3 annotations.
  * Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 11 May 2010 15:55:03 +0400

ldapscripts (1.9.0-1) unstable; urgency=low

  * Imported Upstream version 1.9.0
  * watch file added.
  * Bump standard's version, no changes needed.
  * Removed: 01_makefile_destdir.patch, 04_logname_replace.patch,
    06_nouuencode_pwgen.patch and most of
    debian/patches/03_fix_manpages.patch. Were fixed upstream.

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 23 Oct 2009 14:16:44 +0400

ldapscripts (1.8.0-3) unstable; urgency=low

  * Fix permissions for ldapscripts.passwd. Also add lintian-overrides
    for it.
  * Update my e-mail address.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 06 Jul 2009 00:54:10 +0400

ldapscripts (1.8.0-2) unstable; urgency=low

  * runtime.debian: fix warnings appears if libpam-ldap not installed.
  * runtime.debian: replace usage of libpam-ldap with libnss-ldap, because
    ldapscripts recommends the second one.
  * runtime.debian: replace egrep|sed|cut with simple awk.
  * runtime.debian: fix error if host but not uri is specified in
    libnss-ldap.conf.
  * Add README.Debian with some info.
  * Add VCS info in debian/control.
  * Remove debian/ldapscripts.conf as it's not used anymore.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sun, 05 Jul 2009 14:51:40 +0400

ldapscripts (1.8.0-1) unstable; urgency=low

  * New upstream release. (Closes: #471500, #494101, #502678, #504698, #457251.)
  * Change Maintainer field (closes: #495221).
  * Add 01_makefile_destdir.patch, to allow make install into DESTDIR.
  * Add 02_debian_config.patch to use patched upstream config, but not one from
    debian/ dir as it was in the previous versions. Original config patched to
    allow user not to configure ldapscripts themself, but use configuration from
    libnss-ldap and libldap. debian/runtime.debian is also updated.
    (Closes: #502673, #375794.)
  * Add 03_fix_manpages.patch to fix various warnings lintian points to.
  * Description updated from Ubuntu patches.
  * Fix debian/control: no more require slapd, libpam-ldap; libnss-ldap and
    shareutils are now proposed and recommended, policy updated to 3.8.2,
    Homepage field added.
  * Add 04_logname_replace.patch: use "id -nu" instead of "logname", because
    logname wouldn't work if program has no control terminal.
  * Add 05_mktemp.patch: use mktemp instead of hacks with /dev/urandom.
  * Add 06_nouuencode_pwgen: pwgen command without uuencode, to remove
    dependence from shareutils.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 24 Jun 2009 18:00:23 +0400

ldapscripts (1.7.1-2) unstable; urgency=low

  * New upstream release:
     + Has the fix for CVE-2007-5373 (Closes: #445582).
     + User can now modify ldiff skeleton (Closes: #405755).
  * Make upstream support DESTDIR in its makefile.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Oct 2007 12:27:03 +0200

ldapscripts (1.4-2etch1) stable-security; urgency=low

  [ Steffen Joeris ]
  * Incorporate changes from upstream security version 1.7.1 and patch
    etc/runtime (Closes: #445582) for CVE-2007-5373.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Oct 2007 12:03:31 +0200

ldapscripts (1.4-2) unstable; urgency=low

  * Fix debian magic computation of GIDSTART/UIDSTART.
    thanks to Philippe Bourdeu d'Aguerre.
  * Bump standards version to 3.7.2 (no changes required).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 17 May 2006 11:05:17 +0200

ldapscripts (1.4-1) unstable; urgency=low

  * New upstream release.
  * Add missing dependency upon sharutils (closes: #340785).
  * Updated FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  8 Jan 2006 19:13:45 +0100

ldapscripts (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Oct 2005 00:33:31 +0200

ldapscripts (1.2-2) unstable; urgency=low

  * Typo in default config (forgot a ldapscripts/).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Aug 2005 16:53:31 +0200

ldapscripts (1.2-1) unstable; urgency=low

  * Initial Release (closes: #324296).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Aug 2005 16:23:01 +0200
