=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

# documentation
DEB_INSTALL_DOCS_ALL := README VERSION TODO

# changelogs
DEB_INSTALL_CHANGELOGS_ALL := CHANGELOG

DEB_INSTALL_EXAMPLES_ldapscripts := etc/*.sample

DEB_FIXPERMS_EXCLUDE := etc/ldapscripts/ldapscripts.passwd

install/ldapscripts::
	$(MAKE) install DESTDIR=debian/ldapscripts PREFIX=/usr ETCDIR=/etc/ldapscripts LIBDIR=/usr/share/ldapscripts MANDIR=/usr/share/man
	cp debian/runtime.debian debian/ldapscripts/usr/share/ldapscripts
	rm debian/ldapscripts/etc/ldapscripts/*.sample

clean::
	$(MAKE) distclean
