=== debian/changelog ===
ldapscripts (1.10.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #777924).  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Paolo Sammicheli <xdatap1@ubuntu.com>  Tue, 22 Mar 2011 23:37:44 +0000

ldapscripts (1.10.0-1) unstable; urgency=low

  * debian/control: Standards-version updated, no changes needed.
  * Imported Upstream version 1.10.0
  * debian/patches: Patches refreshed.
  * Added 07_fix_free_uid_search.patch. Thanks to Slavko
    <linux@slavino.sk> (Closes: #609148)
  * debian/control: DEB_FIXPERMS_EXCLUDE replaced with
    DEB_FIXPERMS_EXCLUDE_ALL.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 21 Mar 2011 17:45:15 +0300
