=== debian/watch ===
version=3

http://sf.net/ldapscripts/ldapscripts-([0-9.]*)\.tgz
