=== debian/changelog ===
ldapscripts (2.0.1-2ubuntu1) raring; urgency=low

  * Merge from Debian Unstable.   Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Vibhav Pant <vibhav@ubuntu.com>  Wed, 19 Dec 2012 21:07:08 +0530

ldapscripts (2.0.1-2) unstable; urgency=low

  * Depend on nslcd instead of libnss-ldap, and us it's config.
      (Closes: #610971, #681266.)
  * debian/runtime.debian: Specify default value for GCLASS. (Closes: #671613)
  * debian/control: Fix 'Perl' writing. (Closes: #656172.)
  * debian/control: Standards-version updated, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 27 Aug 2012 04:38:33 +0400

ldapscripts (2.0.1-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #922834).   Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 27 Jan 2012 22:27:22 +0100

ldapscripts (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * Updated debian/patches/05_mktemp.patch.
  * Removed debian/patches/07_fix_free_uid_search.patch (fixed upstream).
  * debian/control: Replace PERL wirh Perl (Closes: #620473).
  * debian/control: Standards-version updated, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 16 Jan 2012 02:21:44 +0400
