=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Homepage: http://ldapscripts.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Build-Depends: cdbs, debhelper (>= 7.0.0)
 Vcs-Git: git://git.gq.net.ru/ldapscripts.git
 Vcs-Browser: http://git.gq.net.ru/?p=ldapscripts.git
@@ -13,15 +13,15 @@
 Architecture: all
 Depends: ${misc:Depends}, ldap-utils
 Recommends: sharutils, pwgen
-Suggests: libnss-ldap
+Suggests: nslcd
 Description: Add and remove user and groups (stored in a LDAP directory)
  Ldapscripts are shell scripts that allow management of POSIX accounts (users,
  groups, machines) in a LDAP directory.   They are similar to smbldap-tools
- but are written in shellscript, not PERL.
+ but are written in shellscript, not Perl.
  .
  They only require OpenLDAP client commands (ldapadd, ldapdelete, ldapsearch,
  ldapmodify, ldappasswd) and make administrator's work a lot easier avoiding
- the need to configure PERL and each library dependency (e.g. Net::LDAP).
+ the need to configure Perl and each library dependency (e.g. Net::LDAP).
  .
  These scripts are very simple to configure by not requiring any Samba-related
  information (SID, profiles, homes, ...) : management of Samba attributes is
