=== debian/changelog ===
ldapscripts (2.0.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 03 Jan 2016 22:08:53 +0530

ldapscripts (2.0.6-1) unstable; urgency=medium

  * Imported Upstream version 2.0.6 (Closes: #795927)
  * Update debian/patches.
  * Remove CDBS dependency and switch to DH 9+.
  * debian/copyright: Convert to machine-readable format.
  * Bump Standard's version, no changes needed.
  * Update Vcs-* headers.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 31 Aug 2015 17:19:08 +0300
