=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Homepage: http://ldapscripts.sourceforge.net/
-Standards-Version: 3.9.4
-Build-Depends: cdbs, debhelper (>= 7.0.0)
-Vcs-Git: git://git.gq.net.ru/ldapscripts.git
-Vcs-Browser: http://git.gq.net.ru/?p=ldapscripts.git
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
+Vcs-Git: https://github.com/gerasiov/ldapscripts.git
+Vcs-Browser: https://github.com/gerasiov/ldapscripts
 
 Package: ldapscripts
 Architecture: all
