=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/ldapscripts PREFIX=/usr ETCDIR=/etc/ldapscripts LIBDIR=/usr/share/ldapscripts MANDIR=/usr/share/man
	cp debian/runtime.debian debian/ldapscripts/usr/share/ldapscripts
	rm debian/ldapscripts/etc/ldapscripts/*.sample

override_dh_installdocs:
	dh_installdocs README TODO

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installexamples:
	dh_installexamples etc/*.sample

override_dh_fixperm:
	dh_fixperm --exclude etc/ldapscripts/ldapscripts.passwd
