=== debian/changelog ===
ldapscripts (2.0.7-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 Jan 2017 12:24:40 +0530

ldapscripts (2.0.7-2) unstable; urgency=medium

  * debian/rules: Fix typo. Thanks Chris Lamb <lamby@debian.org>. (Closes: #834578.)

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 07 Nov 2016 03:07:25 +0300

ldapscripts (2.0.7-1) unstable; urgency=medium

  [ James Valleroy ]
  * Use SASLAUTH from /etc/nslcd.conf (sasl_mech). (Closes: #825240)

  [ Alexander GQ Gerasiov ]
  * Imported Upstream version 2.0.7
  * debian/copyright: Bump year in copyright records.
  * debian/control: Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 20 Jul 2016 00:44:06 +0300
