=== debian/changelog ===
ldapscripts (2.0.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Archive, Contact, Name.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Wrap long lines in changelog entries: 2.0.7-2.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Alexander Gerasiov ]
  * d/control: Bump Standards-Version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 06 Jan 2021 20:07:50 +0300

ldapscripts (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8
  * debian/patches refreshed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 27 Jul 2017 18:12:35 +0300
