=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ldapscripts
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Homepage: http://ldapscripts.sourceforge.net/
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://github.com/gerasiov/ldapscripts.git
 Vcs-Browser: https://github.com/gerasiov/ldapscripts
