=== debian/watch ===
version=3

https://sf.net/ldapscripts/ldapscripts-([0-9.]*)\.tgz
